<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('water_reconnections', function (Blueprint $table) {
            $table->string('connection_no')->nullable()->after('plot_no');
            $table->string('owner_name')->nullable()->after('connection_no');
            $table->string('owner_full_add')->nullable()->after('owner_name');
            $table->string('connection_size')->nullable()->after('owner_full_add');
            $table->string('criminal')->nullable()->after('connection_size');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('water_reconnections', function (Blueprint $table) {
            $table->string('connection_no')->nullable()->after('plot_no');
            $table->string('owner_name')->nullable()->after('connection_no');
            $table->string('owner_full_add')->nullable()->after('owner_name');
            $table->string('connection_size')->nullable()->after('owner_full_add');
            $table->string('criminal')->nullable()->after('connection_size');
        });
    }
};
